<?php

// Add classes to the wrap element

if (isset($args['powered_by']) && $args['powered_by'] == 'yes') {
	$wrap_class =  NNRobots_Content_Fire::$prefix_dash . 'wrap ' . NNRobots_Content_Fire::$prefix_dash . 'wrap-' . $val['id'] . ' ' . NNRobots_Content_Fire::$prefix_dash . 'has-powered-by';
} else {
	$wrap_class =  NNRobots_Content_Fire::$prefix_dash . 'wrap ' . NNRobots_Content_Fire::$prefix_dash . 'wrap-' . $val['id'];
}

if ($widget)  {
	$wrap_class .= ' ' . NNRobots_Content_Fire::$prefix_dash . 'widget';
}

// Add data attributes to he wrap element

$wrap_data_attrs = 'data-id="' . $val['id'] . '"';

if ($args['placement']['type'] == 'paragraphs') {
	$wrap_data_attrs .= ' data-placement="paragraphs" data-paragraphs="' . $args['placement']['paragraphs'] . '"';
}

$content_fire_content .= '<div class="' . $wrap_class . '" ' . $wrap_data_attrs .'>';

$content_fire_content .= '<div class="' . NNRobots_Content_Fire::$prefix_dash . 'container ' . NNRobots_Content_Fire::$prefix_dash . 'container-' . $val['id'] . ' ' . NNRobots_Content_Fire::$prefix_dash . 'template-' . $template['type'] . '" ' . $background . '>';

	if (isset($style['custom_css']) && $style['custom_css'] !='') {
		$content_fire_content .= '<!-- Custom CSS -->';
		$content_fire_content .= '<style>' . $style['custom_css'] . '</style>';
	}

	$content_fire_content .= '<!-- Template Contents -->';

	do_action('nnr_cf_before_header');
	do_action('nnr_cf_before_header_' . $val['id']);

	// Template content

	include('template-' . $template['type'] . '/template-' . $template['type'] . '.php');

	do_action('nnr_cf_before_footer');
	do_action('nnr_cf_before_footer_' . $val['id']);

	if (isset($template['args']['footer']) && $template['args']['footer'] != '') {

		$content_fire_content .= '<!-- Footer -->';

		$content_fire_content .= '<div class="col-xs-12">';
			$content_fire_content .= '<span class="col-xs-12 ' . NNRobots_Content_Fire::$prefix_dash . 'footer">';

				if (isset($template['args']['footer_icon']) && $template['args']['footer_icon'] != '') {
					$content_fire_content .= '<i class="fa ' . $template['args']['footer_icon'] . '"></i>';
				}

				$content_fire_content .= html_entity_decode(do_shortcode($template['args']['footer']));
			$content_fire_content .= '</span>';
		$content_fire_content .= '</div>';

	}

	do_action('nnr_cf_after_footer');
	do_action('nnr_cf_after_footer_' . $val['id']);

	$content_fire_content .= '<!-- This is used to record stats so please leave it alone -->';
	$content_fire_content .= '<p class="hidden" class="' . NNRobots_Content_Fire::$prefix_dash . 'content-fire-id" data-content-fire-id="' . $val['id'] . '"></p>';
	$content_fire_content .= '<!-- This is used to record stats so please leave it alone -->';

$content_fire_content .= '</div>';

if (isset($args['powered_by']) && $args['powered_by'] == 'yes') {

	$content_fire_content .= '<div class="' . NNRobots_Content_Fire::$prefix_dash . 'powered-by">';
		$content_fire_content .= __('Powered by', NNRobots_Content_Fire::$text_domain) . ' <a href="https://99robots.com/products/content-fire-custom-ctas-for-wordpress/?utm_source=content-fire&utm_medium=plugin&utm_content=credit&utm_campaign=content-fire-credit-link" target="_blank">' . __('Content Fire', NNRobots_Content_Fire::$text_domain) . '</a>';
	$content_fire_content .= '</div>';

}

$content_fire_content .= '</div>';